PD Kumi

PD Kumi

PD Kumi
Product Requirements: Poser 6 and higher, DAZ Studio 2.3 and higher, Victoria 4/4.2, Aiko 4 and Morphs++ and for Genesis: Genesis/DAZStudio 4, V4 shapes for Genesis and Gen 4 Iconic Shapes

Read more description:
http://www.renderosity.com/mod/bcs/index.php?ViewProduct=90339

Similar products

2 thoughts on “PD Kumi

Leave a Reply